package com.example.testlistviewheaderfooter.activity;

import java.util.ArrayList;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.ListView;
import android.widget.Toast;

import com.example.testlistviewheaderfooter.R;
import com.example.testlistviewheaderfooter.adapter.CustomArrayAdapter;

public class MainActivity extends Activity {
	
	private ArrayList<String> mArrays = null;
	private CustomArrayAdapter mCustomArrayAdapter = null;
	
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		setLayout();
		
		mArrays = new ArrayList<String>();
		
		mArrays.add("hi");
		mArrays.add("hello");
		mArrays.add("nice");
		mArrays.add("to");
		mArrays.add("meet");
		mArrays.add("you");
		mArrays.add("what");
		mArrays.add("are");
		mArrays.add("you");
		mArrays.add("doing");
		mArrays.add("here");
		
		/**
		 * ListView Header와 Footer는 ListView에 setAdapter를 해주기 전에 적용 시켜야 합니다.
		 * 아니면 아래의 에러가 발생하네요^^;
		 * <Error 메시지>
		 * Caused by: java.lang.IllegalStateException: Cannot add header view to list -- 
		 * setAdapter has already been called.
		 */
		
		// Header, Footer 생성 및 등록
		View header = getLayoutInflater().inflate(R.layout.header, null, false);
		View footer = getLayoutInflater().inflate(R.layout.footer, null, false);
		
		lt_List.addHeaderView(header);
		lt_List.addFooterView(footer);
		
		// Header, Footer Event 설정
		header.findViewById(R.id.btn_header).setOnClickListener(mClickListener);
		footer.findViewById(R.id.btn_footer).setOnClickListener(mClickListener);
		
		mCustomArrayAdapter = new CustomArrayAdapter(MainActivity.this, R.layout.list_row, mArrays);
		
		// Adapter 연결
		lt_List.setAdapter(mCustomArrayAdapter);
		
	}
	
	private View.OnClickListener mClickListener = new View.OnClickListener() {
		
		@Override
		public void onClick(View v) {
			if(v.getId() == 0x7f070002)
				Toast.makeText(MainActivity.this, "hi~~ Header Button~!!", Toast.LENGTH_SHORT).show();
			Toast.makeText(MainActivity.this, "hi~~ Footer Button~!!", Toast.LENGTH_SHORT).show();
		}
	};
	
	
	/*
	 * Layout
	 */
	private ListView lt_List = null;
	
	private void setLayout() {
		lt_List = (ListView) findViewById(R.id.lv_list);
	}
	
}
