package com.example.testlistviewheaderfooter.adapter;

import java.util.ArrayList;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import com.example.testlistviewheaderfooter.R;

public class CustomArrayAdapter extends ArrayAdapter<String>{

	private ViewHolder viewHolder = null;
	private LayoutInflater inflater = null;

	public CustomArrayAdapter(Context c, int textViewResourceId, 
			ArrayList<String> arrays) {
		super(c, textViewResourceId, arrays);
		this.inflater = LayoutInflater.from(c);
	}

	@Override
	public int getCount() {
		return super.getCount();
	}

	@Override
	public String getItem(int position) {
		return super.getItem(position);
	}

	@Override
	public long getItemId(int position) {
		return super.getItemId(position);
	}

	@Override
	public View getView(int position, View convertview, ViewGroup parent) {
		
		View v = convertview;
		
		if(v == null){
			viewHolder = new ViewHolder();
			v = inflater.inflate(R.layout.list_row, null);
			viewHolder.tv_title = (TextView)v.findViewById(R.id.tv_title);

			v.setTag(viewHolder);
			
		}else {
			viewHolder = (ViewHolder)v.getTag();
		}
		
		viewHolder.tv_title.setText(getItem(position));
		
		return v;
	}
	
	
	/*
	 * ViewHolder
	 */
	class ViewHolder{
		public TextView tv_title = null;
		
	}

	
	@Override
	protected void finalize() throws Throwable {
		free();
		super.finalize();
	}
	
	private void free(){
		inflater = null;
		viewHolder = null;
	}
}
